.footer-container {
  width: 100%;
  background: #f2f2f2;
}

.footer-nav-pc {
  max-width: 100%;
  padding: 1.875rem 0;
}

.footer-top-bar {
  width: 100%;
}

.footer-top-bar .footer-top-bar-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 90rem;
  width: 85.62%;
  margin: auto;
  border-bottom: 1px solid #e2e2e2;
  padding-bottom: 1.25rem;
  margin-bottom: 1.625rem;
  font-size: 0.875rem;
  color: #666;
}

.footer-top-bar .footer-top-bar-content .right {
  background-color: #fff;
  padding: 0.375rem 1.25rem;
  display: flex;
  align-items: center;
}

.footer-top-bar .footer-top-bar-content .right input {
  width: 18.75rem;
  height: 1.875rem;
}

.footer-top-bar .footer-top-bar-content .right .search {
  padding-top: 4px;
  padding-left: 1rem;
}

.footer-nav-container {
  max-width: 90rem;
  width: 85.62%;
  display: flex;
  justify-content: space-between;
  margin: auto;
}

.footer-nav-pc dl {
  float: left;
}

.footer-nav-pc dl dt {
  font-size: 1rem;
  font-weight: 700;
}

.footer-nav-pc dl dt,
.footer-nav-pc dl dd {
  margin-bottom: 0.9375rem;
}

.footer-nav-pc dl dd {
  font-size: 0.875rem;
}

.footer-nav-pc dl dd a {
  display: flex;
  width: max-content;
  align-items: center;
  gap: 5px;
}

.footer-nav-pc dl dd a span {
  display: none;
  line-height: 0.625rem;
  padding: 2px 5px;
  font-size: 0.625rem;
  color: #fff;
  background-color: #c7000b;
  border-radius: 5px;
}

.footer-nav-pc dl dd a span[data-tags*="nav-hot"] {
  display: inline-block;
}

.footer-nav-mobile {
  display: none;
}

.footer-ad {
  border-top: 1px solid #d4d4d4;
  padding: 1.875rem 0;
  width: 85.62%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-ad .concat .logo {
  display: flex;
  align-items: center;
}

.footer-ad .concat .logo .logo-image {
  width: 2.5rem;
  height: 2.5rem;
}

.footer-ad .concat .logo .en_name {
  margin-left: 0.375rem;
  height: 1.125rem;
}

.footer-ad .concat .logo .icon-arrow-right {
  padding: 0 0.25rem;
  padding-top: 0.25rem;
  font-size: 1.25rem;
}

.footer-ad .concat .logo .shop-link {
  padding-top: 0.28rem;
  font-size: 1.125rem;
  color: #666;
}

.footer-ad .concat .hotline {
  margin-top: 0.625rem;
  font-size: 0.875rem;
  color: #666;
}

.footer-ad .search-download {
  display: flex;
  gap: 1rem;
  font-size: 0.875rem;
  color: #666;
}

.footer-ad .search-download a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  height: 2rem;
  cursor: pointer;
}

.footer-ad .media-list {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.footer-ad .media-list > div {
  display: block;
  width: 1.875rem;
  height: 1.875rem;
  position: relative;
}

.footer-ad .media-list .iconfont {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 1.875rem;
  font-size: 1.875rem;
  color: #666;
}

.footer-ad .media-list .iconfont:hover {
  color: var(--main-color);
}

.footer-ad .media-list .media-list-dialog {
  display: none;
  padding: 0.3125rem;
  font-size: 0.75rem;
  text-align: center;
  background: #fff;
  box-shadow: 0 0.25rem 1rem rgba(0, 0, 0, 0.1);
  position: absolute;
  left: 50%;
  bottom: 3rem;
  transform: translateX(-50%);
}

.footer-ad .media-list .media-list-dialog::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 10px 10px 0 10px;
  border-color: #fff transparent transparent transparent;
  filter: drop-shadow(0 2px 2px rgba(0, 0, 0, 0.05));
}

.footer-ad .media-list-dialog img {
  display: block;
  width: 9rem;
  height: 9rem;
}

.footer-ad .media-list-dialog span {
  display: inline-block;
  width: 100%;
  height: 1.375rem;
  line-height: 1.375rem;
  text-align: center;
}

.footer-copytight {
  display: flex;
  justify-content: center;
  font-size: 0.875rem;
  background-color: #e6e6e6;
  line-height: 1.875rem;
  padding: 1rem 0;
}

.footer-copytight span:nth-of-type(2) {
  margin: 0 5rem;
}

@media screen and (max-width: 1024px) {
  .footer-nav-pc {
    max-width: 100%;
    display: none;
  }

  .footer-nav-mobile {
    display: block;
    padding: 0.65rem 0;
    background: #f2f2f2;
  }

  .footer-nav-mobile .footer-anv-group {
    padding: 0 1rem;
    overflow: hidden;
  }

  .footer-nav-mobile .item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.75rem;
    border-bottom: 1px solid #d4d4d4;
    font-size: 1rem;
    font-weight: 600;
    color: #333;
  }

  .footer-nav-mobile .item .icon-arrow {
    transition: transform 0.3s ease;
    transform: rotate(0deg);
    display: inline-block;
  }

  .footer-nav-mobile .item.active .icon-arrow {
    transform: rotate(180deg);
  }

  .footer-nav-mobile .footer-anv-group ul li {
    border-bottom: 1px solid #d4d4d4;
    overflow: hidden;
  }

  .footer-nav-mobile .footer-anv-group ul li a {
    display: block;
    width: 100%;
    font-size: 0.875rem;
    padding: 0.65rem 0.75rem;
  }

  .footer-ad {
    justify-content: center;
    flex-direction: column;
    text-align: center;
    border-top: 0;
  }

  .footer-ad .concat .hotline {
    margin-top: 0;
  }

  .footer-ad .concat,
  .footer-ad .search-download {
    display: flex;
    align-items: center;
    height: 2rem;
  }

  .footer-ad .search-download {
    gap: 0;
    margin: 0.625rem 0;
    margin-top: 0.625rem;
    margin-bottom: 1rem;
  }

  .footer-ad .concat .logo {
    justify-content: center;
    display: none;
  }

  .footer-copytight {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}
